Package org.pushingpixels.substance.api.inputmaps

# Class SubstanceInputMap

java.lang.Object
org.pushingpixels.substance.api.inputmaps.SubstanceInputMap

public final class SubstanceInputMap extends Object

## Constructor Summary

Constructors
Constructor
Description
`SubstanceInputMap()`

## Method Summary

Modifier and Type
Method
Description
`UIDefaults.LazyInputMap`
`getUiMap()`
`void`
`put(String keyStroke, String actionName)`
`void`
`remove(String keyStroke)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceInputMap

public SubstanceInputMap()

## Method Details

### put

public void put(String keyStroke, String actionName)

### remove

public void remove(String keyStroke)

### getUiMap

public UIDefaults.LazyInputMap getUiMap()